Jump to content
Sign in to follow this  
Britishroyal

Error, please help?

Recommended Posts

I installed a new skin, but everytime I enter my site. It displays this:


Notice: The template file "/home/airrobin/public_html//lib/skins/ElaSkin-2.0-master/header.php" doesn't exist in /home/airrobin/public_html/core/classes/TemplateSet.class.php on line 231

Activity Feed

ARN0001 Samuel T has just joined, welcome aboard! View Profile

Recent Reports

No reports have been filed

Newest Pilots

ARN0001 Samuel T

Users Online

There have been 1 user(s), and 1 guest(s) online in the past 20 minutes.


Notice: The template file "/home/airrobin/public_html//lib/skins/ElaSkin-2.0-master/footer.php" doesn't exist in /home/airrobin/public_html/core/classes/TemplateSet.class.php on line 231


Anyone know what I need to do to fix it? Please help 😕

Share this post


Link to post
Share on other sites

I guess this is for phpVMS 2.x or 5.5.2 by looking at the path to the file...... moved to correct forum

Share this post


Link to post
Share on other sites

What version of phpVMS do you have (which github link did you download it from?). It looks like the skin is incompatible with your phpVMS version (as in the skin has .tpl and your phpvMS is .php, or vice-versa), or if the developer has more than one version, you have downloaded the incorrect one for your setup.

Share this post


Link to post
Share on other sites

You mean 5.5.2.72 - which is 5.5.2 updated to work with PHP 7.2

Besides the ELA skin, have you tried any others? I have seen issues with the ELA skin in general.

Check your error_log file in the root of phpVMS and see if it shows any errors. Post them here.

Share this post


Link to post
Share on other sites

@web541 - could it also be that something is missing or corrupt in the ELA skin core_htmlhead.php file? Not the one in /core/templates but the one included with the addon skin.

EDIT - never mind that.... I think the skin may have been installed incorrectly. Here's the skin on github:  https://github.com/carlosmfreitas2409/ElaSkin-2.0 - its not supposed to be in "/lib/skins/ElaSkin-2.0-master" but in "lib/skins/ela". And not everything from the extracted download goes there either.

Share this post


Link to post
Share on other sites

Yes @ProAvia is right, you have installed the skin incorrectly. Read his EDIT.

Plus, the skin shouldn't have a core_htmlhead.php file anyway, that should remain in core/templates and should not be edited (unless absolutely necessary). Any JS that would need to be added should go into the layout.php file anyway.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
Sign in to follow this  

×
×
  • Create New...